API REFERENCE
Monitor Task Latest Ad Product API
POST
/open-api/v1/ad-monitor-task/latest-products·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/latest-products' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
"task_id": "902175d02614903e4944dfdfe85bbb4d",
"limit": 4
}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| body
body · optional
| object | | none |
| » task_id
body · required
| string | Monitor Task ID | none |
| » limit
body · optional
| integer | Query Limit | Minimum value is 1. |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"data": [
{
"product_id": "9e62a65361a3c99d1d8abe88b26c79cf",
"product_url": "https:\/\/bloomchic.com\/products\/solid-glitter-twist-front-gathered-blouse?variant=45092711104682&feed_id=fb30387401",
"product_name": "Solid Glitter Twist Front Gathered Blouse",
"product_image_url": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_9f0f0a6bf7c9ab8f07070.png",
"ad_start_date": 1761202800
},
{
"product_id": "b0ab5f769cc71284955c2df12ba6db25",
"product_url": "https:\/\/bloomchic.com\/products\/halloween-skull-print-cold-shoulder-sweatshirt?variant=43445379301546&feed_id=fb13207901",
"product_name": "Halloween Skull Print Cold Shoulder Sweatshirt",
"product_image_url": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_475c7a86c59a71896a6f3.png",
"ad_start_date": 1761030000
},
{
"product_id": "b9546ab6ae22ac8bb75e2fc225f48d2b",
"product_url": "https:\/\/bloomchic.com\/products\/colorblock-buttons-v-neck-knit-cardigan?variant=47423439143082&feed_id=fb51674051",
"product_name": "Colorblock Buttons V-Neck Knit Cardigan",
"product_image_url": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_8ea659fce95064cd33771.png",
"ad_start_date": 1760079600
},
{
"product_id": "765b3d2ae4791d5d6663873162fa45e1",
"product_url": "https:\/\/bloomchic.com\/products\/cozy-floral-print-lace-trim-blouse?variant=47414121988266&feed_id=fb51673689",
"product_name": "Cozy Floral Print Lace Trim Blouse",
"product_image_url": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_52b7a2fb4ae094b6c23df.png",
"ad_start_date": 1760079600
}
]
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» data | [object] | true | none | Data List | none |
| »»» product_id | string | true | none | Product ID | none |
| »»» product_url | string | true | none | Product URL | none |
| »»» product_name | string | true | none | Product Name | none |
| »»» product_image_url | string | true | none | Product Image URL | none |
| »»» ad_start_date | integer | true | none | Ad Start Date | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
